Bug 459159 - ipa_webgui doesn't start because TurboGears requires PEAK-Rules>=0.5a1.dev-r2555
ipa_webgui doesn't start because TurboGears requires PEAK-Rules>=0.5a1.dev-r...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ipa (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On: 459157
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 15:11 EDT by Rob Crittenden
Modified: 2009-07-02 11:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 11:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-08-14 15:11:32 EDT
Description of problem:

The webui is failing to start with this in /var/log/ipa_error.log:

2008-07-11 21:52:22,026 root ERROR failed to start web gui: PEAK-Rules>=0.5a1.dev-r2555
  File "/usr/sbin/ipa_webgui", line 196, in <module>
    main()

  File "/usr/sbin/ipa_webgui", line 157, in main
    pkg_resources.require("TurboGears")

  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))

  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here

Version-Release number of selected component (if applicable):

ipa-server-1.1.0-2.fc10.i386
TurboGears-1.0.4.4-3.fc10.noarch
Comment 1 Bug Zapper 2008-11-25 21:46:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rob Crittenden 2009-07-02 11:59:23 EDT
This was addressed in TurboGears 1.0.7-2

Note You need to log in before you can comment on or make changes to this bug.